PDA

View Full Version : avi and mpeg decoder



Zagorax
26th June 2009, 03:39 PM
Hi,

i need to see an .avi file, and the player say that is impossibile to find the decoder in the software source... what i can do? I can't find it in add/remove software too..

Thank you
Bye

trigpoint
26th June 2009, 04:06 PM
yum install vlc

Zagorax
26th June 2009, 04:14 PM
hi trigpoint,

the answer is:

no vlc packet available

maybe I have to add a particular software source?

thank you
bye

psyklops
26th June 2009, 04:34 PM
try yum install mplayer

then... mplayer <name_of_avi_file>

Zagorax
26th June 2009, 04:43 PM
same output... :(

no mplayer packet available...

trigpoint
26th June 2009, 05:00 PM
You need the rpmfusion repo.

http://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-stable.noarch.rpm

Zagorax
26th June 2009, 05:25 PM
hi,

with that repository it find gstreamer codec... i think that it is correct becouse in ubuntu totem find the same codec...

the problem during the installation is:

Errori nel test di transazione: file /usr/lib/gstreamer-0.10/libgstdeinterlace.so from install of gstreamer-plugins-bad-0.10.11-4.fc11.i586 conflicts with file from package gstreamer-plugins-good-0.10.15-1.fc11.i586
file /usr/lib/gstreamer-0.10/libgstflv.so from install of gstreamer-plugins-bad-0.10.11-4.fc11.i586 conflicts with file from package gstreamer-plugins-good-0.10.15-1.fc11.i586
file /usr/lib/gstreamer-0.10/libgsty4menc.so from install of gstreamer-plugins-bad-0.10.11-4.fc11.i586 conflicts with file from package gstreamer-plugins-good-0.10.15-1.fc11.i586

how to solve?

thank you
bye

Zagorax
26th June 2009, 05:26 PM
Errori nel test di transazione=error during test transaction

trigpoint
26th June 2009, 05:52 PM
I have never bothered with totem, its just too hard to configure.

Just install vlc and mplayer. That should get you up and running.

Zagorax
27th June 2009, 10:56 AM
Thank you,

I installed VLC and now everything seems to work!

How i can set VLC as default software for media?

And then, is there a command like "apt-get autoremove" tu delete all packages no more needed?

thank you

trigpoint
29th June 2009, 08:52 PM
yum remove packagename

Although I would recommend you use Add/Remove Software.

To change the media default, open Nautilus then Edit | Preferences | Media.

HTH